Bug 209838 - x11/konsole: misc fixes and improvements
Summary: x11/konsole: misc fixes and improvements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-29 15:48 UTC by Matthew Rezny
Modified: 2016-06-16 05:44 UTC (History)
5 users (show)

See Also:
pi: maintainer-feedback+


Attachments
improve x11/konsole (5.02 KB, patch)
2016-05-29 15:48 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2016-05-29 15:48:57 UTC
Created attachment 170794 [details]
improve x11/konsole

This patch to x11/konsole:
 * fixes readArguments to get all instead of just the first
 * implements readEnvironment of FreeBSD
 * fixes handling of %c for remote sessions
 * add %U (user@) for remote sessions
 * fixes %D to handle symlinked homedirs

This started as a backport of Tobias's patch[1] for konsole and grew a bit. A necessary refactor to compile lead to refactoring everything to fit the surrounding style. While I was at it, I fixed the handling of %D as that had been annoying me for quite some time.

[1] https://git.reviewboard.kde.org/r/127525/
Comment 1 groot 2016-06-15 10:49:17 UTC
I've tested this with current ports, and also with the situation which will exist after PR #210255 is committed. Only on x86 10.3, though. I'd be nice to have this in now, so it will get picked up by all KDE users when PR #210255 hits.
Comment 2 Kurt Jaeger freebsd_committer 2016-06-15 19:34:26 UTC
testbuilds@work
Comment 3 Kurt Jaeger freebsd_committer 2016-06-16 01:47:18 UTC
Testbuilds on 11a, 10.3a OK, 10.3i still ongoing, but fails on 9.3a:

http://people.freebsd.org/~pi/logs/x11__konsole-93a-1466025627.txt

Any ideas ?
Comment 4 Marie Loise Nolden 2016-06-16 04:44:07 UTC
The patch is wrong, use Q_NULLPTR instead of nullptr (that is c++11, mandatory from qt 5.7 on).

Matthew, can you change and upload your patch again please ?
Comment 5 Kurt Jaeger freebsd_committer 2016-06-16 05:22:05 UTC
I modified the patch, testbuilding on 9.3a right now.
Comment 6 Kurt Jaeger freebsd_committer 2016-06-16 05:26:37 UTC
Now fails with:

/wrkdirs/usr/ports/x11/konsole/work/konsole-4.14.3/src/ProcessInfo.cpp: In member function 'virtual bool FreeBSDProcessInfo::readEnvironment(int)':
/wrkdirs/usr/ports/x11/konsole/work/konsole-4.14.3/src/ProcessInfo.cpp:688: error: 'Q_NULLPTR' was not declared in this scope
/wrkdirs/usr/ports/x11/konsole/work/konsole-4.14.3/src/ProcessInfo.cpp:694: error: 'Q_NULLPTR' was not declared in this scope
/wrkdirs/usr/ports/x11/konsole/work/konsole-4.14.3/src/ProcessInfo.cpp:702: error: 'Q_NULLPTR' was not declared in this scope
/wrkdirs/usr/ports/x11/konsole/work/konsole-4.14.3/src/ProcessInfo.cpp:707: error: 'Q_NULLPTR' was not declared in this scope

As far as I can see, there's no Q_NULLPTR definition in /usr/local/include/qt4/,
there only is one in /usr/local/include/qt5/.
Comment 7 Marie Loise Nolden 2016-06-16 05:30:22 UTC
Argl :) sorry, forgot about that. Just use 0 instead then or NULL
Comment 8 Kurt Jaeger freebsd_committer 2016-06-16 05:44:23 UTC
Committed, thanks!
Comment 9 commit-hook freebsd_committer 2016-06-16 05:44:41 UTC
A commit references this bug:

Author: pi
Date: Thu Jun 16 05:44:05 UTC 2016
New revision: 416950
URL: https://svnweb.freebsd.org/changeset/ports/416950

Log:
  x11/konsole: misc fixes and improvements

  - fixes readArguments to get all instead of just the first
  - implements readEnvironment of FreeBSD
  - fixes handling of %c for remote sessions
  - add %U (user@) for remote sessions
  - fixes %D to handle symlinked homedirs

  This started as a backport of Tobias's patch from
    https://git.reviewboard.kde.org/r/127525/

  No need to bump portrevision, pending update from PR#210255 will take
  care of that.

  PR:		209838
  Submitted by:	matthew@reztek.cz, Tobias C.Berner <tcberner@gmail.com> (kde)
  Reviewed by:	Ralf Nolden <nolden@kde.org> (kde)
  Approved by:	Adriaan de Groot <groot@kde.org> (kde)

Changes:
  head/x11/konsole/files/
  head/x11/konsole/files/patch-src_CMakeLists.txt
  head/x11/konsole/files/patch-src_ProcessInfo.cpp